/*
 * Window.cpp
 * 
 * Copyright (C) 2008 Matthias Schiffer <matthias@gamezock.de>
 * 
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "Window.h"
#include "RenderArea.h"

namespace ZoomEdit {
namespace Gui {

Window::Window(BaseObjectType *cobject, const Glib::RefPtr<Gnome::Glade::Xml> &xml)
: Gtk::Window(cobject) {
  xml->connect_clicked("MenuItemQuit", sigc::mem_fun(this, &Window::hide));
  
  xml->get_widget_derived("RenderArea", renderArea);
  xml->get_widget_derived("MapArea", mapArea);
}

Window::~Window() {
  if(renderArea)
    delete renderArea;
  
  if(mapArea)
    delete mapArea;
}

}
}
